#include "vision.h"

std::vector<int> getVisionPattern1d() {
    return {1, 2, 3};
}

int getMove1d(std::vector<int> v) {
    int vision = (int) v.size() / 2;

    if (v[vision] == 1) {
        if (v[vision - 1] == 2) return vision - 1;
        return vision + 1;
    }

    if (v[vision] == 2) {
        if (v[vision - 1] == 3) return vision - 1;
        return vision + 1;
    }

    if (v[vision - 1] == 1) return vision - 1;
    return vision + 1;
}

std::vector<std::vector<int>> getVisionPattern2d() {
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v) {
    return {0, 0};
}
